Package com.explodingpixels.macwidgets

## Class SourceListStandardColorScheme

- java.lang.Object
- - com.explodingpixels.macwidgets.SourceListStandardColorScheme

All Implemented Interfaces:
  `SourceListColorScheme`

Direct Known Subclasses:
  `SourceListBizLafColorScheme`, `SourceListSeaGlassColorScheme`

    public class SourceListStandardColorScheme
    extends java.lang.Object
    implements SourceListColorScheme

A `SourceListColorScheme` that provides `MacWidgetsPainter`s and colors to render a standard Mac `SourceList`:

See Also:
  `SourceList.setColorScheme(SourceListColorScheme)`, `SourceListTreeUI.setColorScheme(SourceListColorScheme)`

### Field Summary

Fields
`static javax.swing.Icon` `UNSELECTED_COLLAPSED_ICON`

### Constructor Summary

Constructors
`SourceListStandardColorScheme()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.Color` `getActiveBackgroundColor()` The background color of the `SourceList` when it is in an active window.
`MacWidgetsPainter<java.awt.Component>` `getActiveFocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
`MacWidgetsPainter<java.awt.Component>` `getActiveUnfocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and does not have focus.
`java.awt.Color` `getActiveUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.
`java.awt.Color` `getBadgeTextColor()` The color to draw a badge's text with.
`java.awt.Color` `getCategoryTextColor()` The color to draw a `SourceList` category with.
`java.awt.Color` `getCategoryTextShadowColor()` The color to draw a `SourceList` category's shadow with.
`java.awt.Color` `getInactiveBackgroundColor()` The background color of the `SourceList` when it is in an inactive window.
`MacWidgetsPainter<java.awt.Component>` `getInactiveSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in an inactive window.
`java.awt.Color` `getInativeUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.
`java.awt.Color` `getSelectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is selected.
`javax.swing.Icon` `getSelectedCollapsedIcon()` The icon to use when a `SourceList` node is collapsed and selected.
`javax.swing.Icon` `getSelectedExpandedIcon()` The icon to use when a `SourceList` node is expanded and selected.
`java.awt.Color` `getSelectedItemFontShadowColor()` The color to draw a selected `SourceList` item's shadow with.
`java.awt.Color` `getSelectedItemTextColor()` The color to draw a selected `SourceList` item with.
`javax.swing.Icon` `getUnselectedCollapsedIcon()` The icon to use when a `SourceList` node is collapsed and unselected.
`javax.swing.Icon` `getUnselectedExpandedIcon()` The icon to use when a `SourceList` node is expanded and unselected.
`java.awt.Color` `getUnselectedItemTextColor()` The color to draw an unselected `SourceList` item with.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNSELECTED_COLLAPSED_ICON

    public static final javax.swing.Icon UNSELECTED_COLLAPSED_ICON

### Constructor Detail

#### SourceListStandardColorScheme

    public SourceListStandardColorScheme()

### Method Detail

#### getActiveFocusedSelectedItemPainter

    public MacWidgetsPainter<java.awt.Component> getActiveFocusedSelectedItemPainter()

Description copied from interface: `SourceListColorScheme`
The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.

Specified by:
  `getActiveFocusedSelectedItemPainter` in interface `SourceListColorScheme`
Returns:
  the `Painter` to use for painting the selection in an active window where the `SourceList` has focus.

#### getActiveUnfocusedSelectedItemPainter

    public MacWidgetsPainter<java.awt.Component> getActiveUnfocusedSelectedItemPainter()

Description copied from interface: `SourceListColorScheme`
The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and does not have focus.

Specified by:
  `getActiveUnfocusedSelectedItemPainter` in interface `SourceListColorScheme`
Returns:
  the `Painter` to use for painting the selection in an active window where the `SourceList` does not have focus.

#### getInactiveSelectedItemPainter

    public MacWidgetsPainter<java.awt.Component> getInactiveSelectedItemPainter()

Description copied from interface: `SourceListColorScheme`
The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in an inactive window.

Specified by:
  `getInactiveSelectedItemPainter` in interface `SourceListColorScheme`
Returns:
  the `Painter` to use for painting the selection in an inactive window.

#### getCategoryTextColor

    public java.awt.Color getCategoryTextColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a `SourceList` category with.

Specified by:
  `getCategoryTextColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a `SourceList` category textwith.

#### getCategoryTextShadowColor

    public java.awt.Color getCategoryTextShadowColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a `SourceList` category's shadow with.

Specified by:
  `getCategoryTextShadowColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a `SourceList` category text's shadow with.

#### getUnselectedItemTextColor

    public java.awt.Color getUnselectedItemTextColor()

Description copied from interface: `SourceListColorScheme`
The color to draw an unselected `SourceList` item with.

Specified by:
  `getUnselectedItemTextColor` in interface `SourceListColorScheme`
Returns:
  the color to draw an unselected `SourceList` item with.

#### getSelectedItemTextColor

    public java.awt.Color getSelectedItemTextColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a selected `SourceList` item with.

Specified by:
  `getSelectedItemTextColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a selected `SourceList` item with.

#### getSelectedItemFontShadowColor

    public java.awt.Color getSelectedItemFontShadowColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a selected `SourceList` item's shadow with.

Specified by:
  `getSelectedItemFontShadowColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a selected `SourceList` item's shadow with.

#### getActiveBackgroundColor

    public java.awt.Color getActiveBackgroundColor()

Description copied from interface: `SourceListColorScheme`
The background color of the `SourceList` when it is in an active window.

Specified by:
  `getActiveBackgroundColor` in interface `SourceListColorScheme`
Returns:
  the background color of the `SourceList` when it is in an active window.

#### getInactiveBackgroundColor

    public java.awt.Color getInactiveBackgroundColor()

Description copied from interface: `SourceListColorScheme`
The background color of the `SourceList` when it is in an inactive window.

Specified by:
  `getInactiveBackgroundColor` in interface `SourceListColorScheme`
Returns:
  the background color of the `SourceList` when it is in an inactive window.

#### getUnselectedCollapsedIcon

    public javax.swing.Icon getUnselectedCollapsedIcon()

Description copied from interface: `SourceListColorScheme`
The icon to use when a `SourceList` node is collapsed and unselected.

Specified by:
  `getUnselectedCollapsedIcon` in interface `SourceListColorScheme`
Returns:
  the icon to use when a `SourceList` node is collapsed and unselected.

#### getUnselectedExpandedIcon

    public javax.swing.Icon getUnselectedExpandedIcon()

Description copied from interface: `SourceListColorScheme`
The icon to use when a `SourceList` node is expanded and unselected.

Specified by:
  `getUnselectedExpandedIcon` in interface `SourceListColorScheme`
Returns:
  the icon to use when a `SourceList` node is expanded and unselected.

#### getSelectedCollapsedIcon

    public javax.swing.Icon getSelectedCollapsedIcon()

Description copied from interface: `SourceListColorScheme`
The icon to use when a `SourceList` node is collapsed and selected.

Specified by:
  `getSelectedCollapsedIcon` in interface `SourceListColorScheme`
Returns:
  the icon to use when a `SourceList` node is collapsed and selected.

#### getSelectedExpandedIcon

    public javax.swing.Icon getSelectedExpandedIcon()

Description copied from interface: `SourceListColorScheme`
The icon to use when a `SourceList` node is expanded and selected.

Specified by:
  `getSelectedExpandedIcon` in interface `SourceListColorScheme`
Returns:
  the icon to use when a `SourceList` node is expanded and selected.

#### getBadgeTextColor

    public java.awt.Color getBadgeTextColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a badge's text with.

Specified by:
  `getBadgeTextColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a badge's text with.

#### getSelectedBadgeColor

    public java.awt.Color getSelectedBadgeColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a badge's background with when it's corresponding `SourceList` item is selected. This color is used regardless of the wheter the parent window is active or inactive.

Specified by:
  `getSelectedBadgeColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a badge's background with when it's corresponding `SourceList` item is selected

#### getActiveUnselectedBadgeColor

    public java.awt.Color getActiveUnselectedBadgeColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.

Specified by:
  `getActiveUnselectedBadgeColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.

#### getInativeUnselectedBadgeColor

    public java.awt.Color getInativeUnselectedBadgeColor()

Description copied from interface: `SourceListColorScheme`
The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.

Specified by:
  `getInativeUnselectedBadgeColor` in interface `SourceListColorScheme`
Returns:
  the color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.